View Issue Details

IDProjectCategoryView StatusLast Update
11499Bug reports[All Projects] Survey designpublic2016-08-24 16:25
Reporterollehar Assigned Toollehar  
PrioritynoneSeverityminor 
Status assignedResolutionreopened 
Product Version2.50.x 
Target Version2.50.xFixed in Version 
Summary11499: alert-info is green, should be blue
Description

The alert-info Bootstrap class is green in Sea_Green, should be blue? As of now, the difference between alert-info and alert-success is minimal.

TagsNo tags attached.
Complete LimeSurvey version number (& build)latest
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

ollehar

ollehar

2016-07-26 16:59

administrator  

Selection_049.png (9,541 bytes)
Selection_049.png (9,541 bytes)
ollehar

ollehar

2016-07-26 17:00

administrator  

Selection_050.png (11,530 bytes)
Selection_050.png (11,530 bytes)
DenisChenu

DenisChenu

2016-07-26 19:12

developer   ~40063

In Bay of many :
.table > tbody > tr > td.danger {
background-color: #8bc644;
}
Green for danger

LouisGac

LouisGac

2016-07-27 10:10

manager   ~40068

They are monochrome interfaces.
There is nothing like "should be" that colour.

For example in Bootswatch paper template:
info https://bootswatch.com/paper/

The info alert are purple.
I close it because it's not a bug.
Feel free to edit the CSS.

ollehar

ollehar

2016-07-27 10:24

administrator   ~40072

I will reopen this because even though it's not a bug, it's still a discussion.

c_schmitz

c_schmitz

2016-07-27 10:24

administrator   ~40073

Last edited: 2016-07-27 10:42

View 2 revisions

Well, we can freely choose what color we want to use. I feel some of the alerts could be a little more distinctive. So Olle, feel free to adjust it a bit. Does not have to be full blue but divert a bit more from the standard green, maybe.

LouisGac

LouisGac

2016-07-27 10:33

manager   ~40075

sure : feel free to edit the CSS.

DenisChenu

DenisChenu

2016-07-27 11:05

developer   ~40079

Last edited: 2016-07-27 11:06

View 2 revisions

Maybe mre a dev discussion, but like olle : it's at min a discussion.

I think we must allow updating and use any color for alert-ino/alert-success etc ....

But use distincrive color for Core template

  • success => a green (dark/light etc ...)
  • warning : yellow to orange
  • danger : red to orange

After , for

  • default
  • primary
  • info
    color must be totally adapted, but : not in the 3 color before.

For paper : it's a purpl, clearly not one of before.

For human (orange based) : https://bootswatch.com/united/#indicators primary is orange (human color), warning is yellow.

Green and red template are the most complex to choose a good color for default/primary and info .....

ollehar

ollehar

2016-07-27 11:19

administrator   ~40081

We have a sass file and script to generate templates. So we can do

$info = $base_color + 60% blue and 10% lightness

DenisChenu

DenisChenu

2016-07-27 11:33

developer   ~40082

See human : they choose to don't use orange for warning ;)

ollehar

ollehar

2016-07-27 11:41

administrator  

Selection_054.png (57,258 bytes)
Selection_054.png (57,258 bytes)
c_schmitz

c_schmitz

2016-08-01 14:22

administrator   ~40145

Is this resolved, now?

ollehar

ollehar

2016-08-01 14:36

administrator   ~40146

Not completely. Preferably, I'd use one color file for each theme. E.g., for the green theme, I'd like to add more blue and less green for alert-info, but maybe do the opposite for the blue theme (more blue looks too strong).

DenisChenu

DenisChenu

2016-08-01 15:31

developer   ~40151

Please olle : at the same time : can you review the

bg- and the text- ?

I think bg-warning must be n,ear same than alert-warning etc ...

In boostrap :
.bg-warning {
.bg-variant(@state-warning-bg);
}

ANother idea : LS team use less or sass ? Maybe you can provide you less or sass files ?

c_schmitz

c_schmitz

2016-08-24 16:25

administrator   ~40465

The alert red needs to be more bright and distinctive. It is currenlty too dark.

Issue History

Date Modified Username Field Change
2016-07-26 16:59 ollehar New Issue
2016-07-26 16:59 ollehar File Added: Selection_049.png
2016-07-26 17:00 ollehar File Added: Selection_050.png
2016-07-26 19:12 DenisChenu Note Added: 40063
2016-07-27 10:10 LouisGac Note Added: 40068
2016-07-27 10:10 LouisGac Status new => closed
2016-07-27 10:10 LouisGac Assigned To => LouisGac
2016-07-27 10:10 LouisGac Resolution open => won't fix
2016-07-27 10:24 ollehar Assigned To LouisGac =>
2016-07-27 10:24 ollehar Note Added: 40072
2016-07-27 10:24 ollehar Status closed => feedback
2016-07-27 10:24 ollehar Resolution won't fix => reopened
2016-07-27 10:24 c_schmitz Note Added: 40073
2016-07-27 10:25 ollehar Status feedback => new
2016-07-27 10:28 c_schmitz Assigned To => ollehar
2016-07-27 10:28 c_schmitz Status new => assigned
2016-07-27 10:33 LouisGac Note Added: 40075
2016-07-27 10:42 c_schmitz Note Edited: 40073 View Revisions
2016-07-27 11:05 DenisChenu Note Added: 40079
2016-07-27 11:06 DenisChenu Note Edited: 40079 View Revisions
2016-07-27 11:19 ollehar Note Added: 40081
2016-07-27 11:33 DenisChenu Note Added: 40082
2016-07-27 11:41 ollehar File Added: Selection_054.png
2016-08-01 14:22 c_schmitz Note Added: 40145
2016-08-01 14:36 ollehar Note Added: 40146
2016-08-01 15:31 DenisChenu Note Added: 40151
2016-08-24 16:25 c_schmitz Note Added: 40465